Bug 1243052 - Review Request: python-futurist - Useful additions to futures, from the future
Summary: Review Request: python-futurist - Useful additions to futures, from the future
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: RDO-LIBERTY-REVIEWS
TreeView+ depends on / blocked
 
Reported: 2015-07-14 16:11 UTC by Javier Peña
Modified: 2015-09-16 08:44 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-16 08:44:50 UTC
Type: ---
karlthered: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Javier Peña 2015-07-14 16:11:16 UTC
Spec URL: https://jpena.fedorapeople.org/python-futurist/python-futurist.spec
SRPM URL: https://jpena.fedorapeople.org/python-futurist/python-futurist-0.1.1-1.fc21.src.rpm
Description: Useful additions to futures, from the future
Fedora Account System Username: jpena

A Koji scractch build is available at http://koji.fedoraproject.org/koji/taskinfo?taskID=10354531

Please note I am still pending sponsorship, until https://bugzilla.redhat.com/show_bug.cgi?id=1241632 is approved.

Comment 1 Thomas Oulevey 2015-07-24 07:56:20 UTC
Hi,

From %files you can remove :

%{python2_sitelib}/

et the same for python 3 :

%{python3_sitelib}/

Otherwise I couldn't spot anything else.

-- 
Thomas.

Comment 3 Alan Pevec (Fedora) 2015-07-24 17:30:08 UTC
sphinx-build doesn't fit %prep IMHO (it's pyp2rpm template bug that it puts it there) it should in %build

Comment 5 Javier Peña 2015-08-13 09:04:41 UTC
I have updated the spec to comply with the new Python packaging rules:

SPEC: https://jpena.fedorapeople.org/python-futurist/python-futurist.spec
SRPM: https://jpena.fedorapeople.org/python-futurist/python-futurist-0.1.1-4.fc21.src.rpm

Koji scratch build available at http://koji.fedoraproject.org/koji/taskinfo?taskID=10687515

Comment 6 Alan Pevec (Fedora) 2015-08-18 10:56:55 UTC
I still digesting new python packaging rules, but afaict when using python_provide macro you need to have %package -n python2-%{pypi_name} and macro then creates appropriate virtual provide for python-%{pypi_name}


https://fedoraproject.org/wiki/Packaging:Python#The_.25python_provide_macro

Comment 7 Javier Peña 2015-08-18 13:37:20 UTC
I was in doubt about the new rules, but re-looking at them it makes sense. I have updated the spec:

SPEC: https://jpena.fedorapeople.org/python-futurist/python-futurist.spec
SRPM: https://jpena.fedorapeople.org/python-futurist/python-futurist-0.1.1-5.fc21.src.rpm

Comment 8 Alan Pevec (Fedora) 2015-08-18 14:09:35 UTC
Please also update to the latest release https://pypi.python.org/pypi/futurist/0.3.0

Comment 9 Alan Pevec (Fedora) 2015-08-18 21:14:46 UTC
Bummer, python_provide macro didn't work well in CBS Cloud7 buildroot, it generated python2-* subpackage without Provides: python-*

http://cbs.centos.org/koji/rpminfo?rpmID=13145

Comment 10 Javier Peña 2015-08-25 14:34:56 UTC
I'm not sure why I didn't see Alan's comment regarding the new upstream release. I have updated the spec to use the latest upstream release (0.4.0):

SPEC: https://jpena.fedorapeople.org/python-futurist/python-futurist.spec
SRPM: https://jpena.fedorapeople.org/python-futurist/python-futurist-0.4.0-1.fc21.src.rpm

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=10824137

Comment 11 Haïkel Guémar 2015-08-27 11:11:24 UTC
The Requires have to be moved under the python2 subpackage or they won't be installed. 
The same goes for BuildRequires though it does not have side effects unlike the former.

Comment 13 Haïkel Guémar 2015-09-05 21:17:33 UTC
- Drop the useless python-sitelib definition
- In %files, just give the directory or they'll be unowned
%{python2_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}

Comment 15 Haïkel Guémar 2015-09-10 12:53:00 UTC
I hereby approve this package in Fedora Packages Collection, please submit a SCM request



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)". Detailed output of licensecheck in
     /home/haikel/1243052-python-futurist/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 778240 bytes in 84 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-futurist , python3-futurist
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-futurist-0.4.0-3.fc24.noarch.rpm
          python3-futurist-0.4.0-3.fc24.noarch.rpm
          python-futurist-0.4.0-3.fc24.src.rpm
python-futurist.src: E: specfile-error warning: bogus date in %changelog: Tue Aug 27 2015 jpena <jpena@redhat.com> - 0.4.0-2
3 packages and 0 specfiles checked; 1 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python2-futurist (rpmlib, GLIBC filtered):
    python(abi)
    python-contextlib2
    python-futures
    python-monotonic
    python-six

python3-futurist (rpmlib, GLIBC filtered):
    python(abi)
    python3-contextlib2
    python3-monotonic
    python3-six



Provides
--------
python2-futurist:
    python-futurist
    python2-futurist

python3-futurist:
    python3-futurist



Source checksums
----------------
https://pypi.python.org/packages/source/f/futurist/futurist-0.4.0.tar.gz :
  CHECKSUM(SHA256) this package     : a0c97c7dc7bd8fa1abe0012c129a303ba652074709bfed6c71730bbfce6f18bf
  CHECKSUM(SHA256) upstream package : a0c97c7dc7bd8fa1abe0012c129a303ba652074709bfed6c71730bbfce6f18bf


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -b 1243052 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 16 Javier Peña 2015-09-10 13:04:14 UTC
New Package SCM Request
=======================
Package Name: python-futurist
Short Description: Useful additions to futures, from the future
Upstream URL: http://docs.openstack.org/developer/futurist
Owners: jpena apevec jruzicka
Branches: f21 f22 f23 epel7
InitialCC:

Comment 17 Gwyn Ciesla 2015-09-10 13:29:31 UTC
Git done (by process-git-requests).

Comment 18 Haïkel Guémar 2015-09-16 08:44:50 UTC
Built in rawhide


Note You need to log in before you can comment on or make changes to this bug.